<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>MAN PAGE</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>

<body>



<ul id="index">
  <li><a href="#N-V">NÉV</a></li>
  <li><a href="#TTEKINT-S">ÁTTEKINTÉS</a></li>
  <li><a href="#LE-R-S">LEÍRÁS</a></li>
  <li><a href="#KAPCSOL-K">KAPCSOLÓK</a></li>
  <li><a href="#BE-LL-T-S">BEÁLLÍTÁS</a></li>
  <li><a href="#DIAGNOSZTIKA">DIAGNOSZTIKA</a></li>
  <li><a href="#P-LD-K">PÉLDÁK</a></li>
  <li><a href="#K-RNYEZETI-V-LTOZ-K">KÖRNYEZETI VÁLTOZÓK</a></li>
  <li><a href="#TOV-BBI-INFORM-CI-K">TOVÁBBI INFORMÁCIÓK</a></li>
  <li><a href="#L-SD-M-G">LÁSD MÉG</a></li>
  <li><a href="#FELHASZN-L-I-FEL-LET">FELHASZNÁLÓI FELÜLET</a></li>
  <li><a href="#GYORSBILLENTY-K">GYORSBILLENTYŰK</a></li>
  <li><a href="#HIB-K">HIBÁK</a></li>
  <li><a href="#T-RT-NET">TÖRTÉNET</a></li>
  <li><a href="#SZERZ-K">SZERZŐK</a></li>
  <li><a href="#SZERZ-I-JOGOK-S-LICENC">SZERZŐI JOGOK ÉS LICENC</a></li>
</ul>

<h1 id="N-V">NÉV</h1>

<p>Inkscape – egy SVG (Scalable Vector Graphics) szerkesztő program</p>

<h1 id="TTEKINT-S">ÁTTEKINTÉS</h1>

<p><code>inkscape [kapcsolók] [fájlnév1 fájlnév2 ...]</code></p>

<p>kapcsolók:</p>

<pre><code>    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=PAGE[,PAGE]
        --pdf-poppler
        --convert-dpi-method=METHOD
        --no-convert-text-baseline-spacing

    -o, --export-filename=FÁJLNÉV
        --export-overwrite
        --export-type=TÍPUS[,TÍPUS]*
        --export-extension=KIEGÉSZÍTŐAZONOSÍTÓ

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=SZÉLESSÉG
    -h, --export-height=MAGASSÁG
        --export-margin=MARGÓ

        --export-page=all|n[,a-b]
    -i, --export-id=OBJECT-ID[;OBJECT-ID]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=COLORMODE
        --export-png-compression=LEVEL
        --export-png-antialias=LEVEL
        --export-png-use-dithering=BOOLEAN
        --export-ps-level=LEVEL
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=COLOR
    -y, --export-background-opacity=VALUE

    -I, --query-id=OBJEKTUMAZONOSÍTÓ[,OBJEKTUMAZONOSÍTÓ]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=OBJEKTUMAZONOSÍTÓ[,OBJEKTUMAZONOSÍTÓ]*
        --actions=MŰVELET(:ARGUMENTUM)[;MŰVELET(:ARGUMENTUM)]*
        --action-list
        --actions-file=FÁJLNÉV
    -g, --with-gui
    -q, --active-window
        --display=KIJELZŐ
        --app-id-tag=CÍMKE
        --batch-process
        --shell</code></pre>

<h1 id="LE-R-S">LEÍRÁS</h1>

<p>Az <b>Inkscape</b> egy ingyenes és nyílt forráskódú vektorgrafikus szerkesztő. Gazdag funkciókészletet kínál és széles körben használatos mind művészi, mint technikai illusztrációk – például rajzfilmek, clipart-ok, logók, tipográfiai elemek, diagramok és folyamatábrák – készítésére. Vektorgrafikát használ az éles nyomatok és korlátlan felbontású megjelenítés létrehozásáért és nincs rögzítve korlátozott számú pixelhez, mint a raszteres grafika. Az Inkscape a szabványosított <b>SVG</b> formátumot használja saját formátumaként, melyet számos más alkalmazás is támogat a webböngészőket is beleértve.</p>

<p>A felhasználói felület úgy lett tervezve, hogy komfortos és hatékony legyen a tapasztalt felhasználók számára, valamint a <b>GNOME</b> szabvány követésének hála a más GNOME alkalmazásokban jártas felhasználók is gyorsan meg tudják tanulni a felületét.</p>

<p>Az <b>SVG</b> egy W3C szabvány 2D-s vektoros rajzoláshoz XML formátumban. Lehetővé teszi objektumok létrehozását pontokkal, útvonalakkal és primitív alakzatokkal. A színek, betűkészletek, körvonalszélességek és hasonlók „stílus” attribútumként vannak definiálva ezeken az objektumokon. Mivel az SVG egy szabvány, és a fájljai egyszerű text/xml formátumúak, az a küldetése, hogy nagy számú felhasználó számtalan programban alkalmazhassa.</p>

<p>Az <b>Inkscape</b> az SVG-t használja a saját natív dokumemtum-formátumaként azzal a céllal, hogy a leginkább megfelelő SVG-rajprogram legyen a nyílt forrású közösségben.</p>

<h1 id="KAPCSOL-K">KAPCSOLÓK</h1>

<dl>

<dt id="help"><b>-?</b>, <b>--help</b></dt>
<dd>

<p>Megjeleníti a súgóüzeneteket.</p>

</dd>
<dt id="help-all"><b>--help-all</b></dt>
<dd>

<p>Megjeleníti az összes súgóüzenetet.</p>

</dd>
<dt id="help-gapplication"><b>--help-gapplication</b></dt>
<dd>

<p>Megjeleníti a GApplication kapcsolókat.</p>

</dd>
<dt id="help-gtk"><b>--help-gtk</b></dt>
<dd>

<p>Megjeleníti a GTK+ kapcsolókat.</p>

</dd>
<dt id="V---version"><b>-V</b>, <b>--version</b></dt>
<dd>

<p>Megjeleníti az Inkscape verzióját és a build dátumát.</p>

</dd>
<dt id="debug-info"><b>--debug-info</b></dt>
<dd>

<p>Technikai információkat ír ki: az Inkscape verzióját, függőségi verziókat és az operációs rendszert. Ez az információ hasznos hibakereséskor és minden hibajelentésben meg kell adni.</p>

</dd>
<dt id="system-data-directory"><b>--system-data-directory</b></dt>
<dd>

<p>Kiírja a rendszer adatmappáját ahol az Inkscape-pel érkező adatfájlok vannak tárolva. Itt vannak az Inkscape futásához szükséges állományok (az egység-definíciók, a beépített gyorsbillentyűk, a felhasználói felületet leíró fájlok, ikontémák, stb.), az alap kiterjesztések, a törzskészlet (szűrők, betűkészletek, jelölők, színpaletták, szimbólumok, sablonok) és a dokumentáció (SVG példafájlok és az ismertetők).</p>

<p>Az Inkscape által várt adatmappa helye felülírható az <a>INKSCAPE_DATADIR</a> környezeti változóval.</p>

</dd>
<dt id="user-data-directory"><b>--user-data-directory</b></dt>
<dd>

<p>Kiírja a felhasználói profil mappáját, ahol a felhasználói adat- és beállításfájlok vannak tárolva. Az egyéni kiterjesztéseket és erőforrásfájlokat (szűrők, betűkészletek, jelölők, színpaletták, szimbólumok, sablonok) ide, a megfelelő almappába kell telepíteni. Továbbá ha a rendszer adatmappájában szereplő fájlnévvel ide helyezünk egy fájlt, akkor az felülírja a legtöbb beállítást a rendszer adatmappájában (pl. alapértelmezett sablonok, felhasználói felületleíró-fájlok, stb.).</p>

<p>A profilmappa alapértelmezett helye felülírható az <a>INKSCAPE_PROFILE_DIR</a> környezeti változóval.</p>

</dd>
<dt id="p---pipe"><b>-p</b>, <b>--pipe</b></dt>
<dd>

<p>Beolvassa a bemeneti fájlt a szabványos bemenetről (stdin).</p>

</dd>
<dt id="pages-PAGE"><b>--pages</b>=<i>PAGE</i></dt>
<dd>

<p>Imports the given comma separated list of pages from a PDF, or multi page SVG file.</p>

<p>This replaces the <i>--pdf-page</i> from previous Inkscape versions.</p>

</dd>
<dt id="pdf-poppler"><b>--pdf-poppler</b></dt>
<dd>

<p>Alapértelmezetten az Inkscape a PDF-fájlokat egy belső (poppler származék) könyvtárral importálja. A szövegek szövegként lesznek tárolva. A színátmenetes hálók csempékké konvertálóknak. A <a>--pdf-poppler</a> kapcsolóval egy külső (poppler, cairo háttérprogrammal) importálási könyvtárra lehet váltani. A szövegek betűkészletjelei klónozott útvonalak csoportjai lesznek. A képek belsőleg tárolódnak. A hálók miatt az egész dokumentum raszteres képként lesz leképezve.</p>

</dd>
<dt id="convert-dpi-method-M-DSZER"><b>--convert-dpi-method</b>=<i>MÓDSZER</i></dt>
<dd>

<p>Megjelöli a módszert, amellyel a régi (0.92 előtti) fájlok át lesznek méretezve – kissé kisebbekké válnak a 90 DPI-ről 96 DPI-re való váltás miatt a pixel egységének hosszúságértelmezése következtében. A lehetséges értékek a „none” (nincs módosítás, a dokumentum az eredeti méretének 94%-ban lesz megjelenítve), a „scale-viewbox” (a dokumentum egyben kerül átméretezésre, az egyedi objektumok méretei érintetlenül maradnak) és „scale-document” (minden egyes méret egyedileg kerül átméretezésre).</p>

</dd>
<dt id="no-convert-text-baseline-spacing"><b>--no-convert-text-baseline-spacing</b></dt>
<dd>

<p>Letiltja a szövegek alapvonalának automatikus javítását a régi (0.92 előtti) fájlok megnyitása közben. Az Inkscape ugyanis a 0.92 verziótól kezdve magáévá tette a CSS szabvány „line-height” tulajdonságának a szabvány adta irányelvek szerinti alkalmazását és így eltért a régi verzióktól. Alapértelmezetten a régi, 0.92 verzió előtti Inkscape-ben készült fájlok megnyitásakor a sormagasság értékek módosítva lesznek, hogy megőrizzék az eredetileg szándékolt szövegelrendezést. Ezzel a kapcsolóval lehet hatástalanítani ezt az igazítást.</p>

</dd>
<dt id="o---export-filename-F-JLN-V"><b>-o</b>, <b>--export-filename</b>=<i>FÁJLNÉV</i></dt>
<dd>

<p>Beállítja a kimeneti fájl nevét. Az alapértelmezés a bemeneti fájl nevének újrahasznosítása. Az <a>--export-type</a> kapcsoló használatával a fájl kiterjesztése értelem szerűen hozzá lesz igazítva vagy adva. Ellenkező esetben az exportálandó fájl típusa a megadott fájlnév kiterjesztéséből fog meghatározásra kerülni.</p>

<p>A „-” speciális fájlnévvel lehet az Inkscape képadatait a szabványos kimenetre irányítani (stdout).</p>

</dd>
<dt id="export-overwrite"><b>--export-overwrite</b></dt>
<dd>

<p>Felülírja a bemeneti fájlt.</p>

</dd>
<dt id="export-type-T-PUS-T-PUS"><b>--export-type</b>=<i>TÍPUS[,TÍPUS]*</i></dt>
<dd>

<p>Megadja az exportálandó fájl típusát. Lehetséges értékek: svg, png, ps, eps, pdf, emf, wmf és minden további fájltípus, amihez van kiterjesztés telepítve. Lehetséges egyszerre akár több fájltípusba is exportálni.</p>

<p>Mivel a PostScript nem támogatja az átlátszóságot, ezért minden az SVG-ben eredetileg átlátszó objektum bitkép másolattal lesz helyettesítve. Az alkalmazott betűkészletek részhalmaza kerül beágyazásra. Az alapértelmezett exportált terület a lap, melyet az <a>--export-area-drawing</a> kapcsolóval lehet a rajzra módosítani.</p>

<p>A PDF megőrzi az eredeti SVG-ben található átlátszóságokat.</p>

</dd>
<dt id="export-extension-KIEG-SZ-T-AZONOS-T"><b>--export-extension</b>=<i>KIEGÉSZÍTŐAZONOSÍTÓ</i></dt>
<dd>

<p>Lehetővé tesz egy kimeneti kiterjesztés meghatározását, amellyel az exportálás megvalósul abban az esetben, amikor több mint egy exportálási kapcsoló van megadva az adott fájl számára. Ha ez be van állítva, akkor az --export-filename és az --export-type mellőzve lehet. Továbbá, ha be van állítva, csak egy fájltípus adható meg az --export-type kapcsolóval.</p>

</dd>
<dt id="C---export-area-page"><b>-C</b>, <b>--export-area-page</b></dt>
<dd>

<p>SVG, PNG, PDF és PS esetén az exportált területet a lapra állítja be. Ez alapértelmezett az SVG, PNG, PDF és a PS esetén, ezért nem kell külön megadni, kivéve az <a>--export-id</a> kapcsolóval történő egy megadott objektum exportálásának esetét. Ez a kapcsoló az EPS formátumra jelenleg nem támogatott.</p>

</dd>
<dt id="D---export-area-drawing"><b>-D</b>, <b>--export-area-drawing</b></dt>
<dd>

<p>SVG, PNG, PDF, PS és EPS exportálása esetén az exportált területet a rajzra állítja be (a lap helyett), vagyis a dokumentum összes objektumát határoló téglalapra (ill. értelemszerűen az exportált objektumra az <a>--export-id</a> kapcsoló esetén). Ezzel a kapcsolóval az exportált kép a dokumentum összes látható objektumát meg fogja jeleníteni margó és levágás nélkül. Az EPS számára ez az alapértelmezett exportálási terület. PNG esetén együtt lehet alkalmazni az <a>--export-use-hints</a> kapcsolóval.</p>

</dd>
<dt id="a-x0:y0:x1:y1---export-area-x0:y0:x1:y1"><b>-a</b> <i>x0:y0:x1:y1</i>, <b>--export-area</b>=<i>x0:y0:x1:y1</i></dt>
<dd>

<p>PNG exportálása esetén beállítja a dokumentum exportált területét px-ben (1/96 hüvelyk). Az alapértelmezés a teljes dokumentumoldal exportálása. A (0,0) pont a bal alsó sarok.</p>

</dd>
<dt id="export-area-snap"><b>--export-area-snap</b></dt>
<dd>

<p>PNG exportálásakor az exportált területet kifelé a legközelebbi egész pixelre illeszti. Ez a kapcsoló az alapértelmezett 96 DPI-s exportálási felbontás és a grafikák elsimítás elkerülése érdekében történő pixelre igazítása esetén megőrzi ezt az igazítást akkor is, ha olyan objektum határoló téglalapja kerül exportálásra (az <a>--export-id</a> vagy az <a>--export-area-drawing</a> kapcsolókkal), amely maga nincs pixelre igazítva.</p>

</dd>
<dt id="d-DPI---export-dpi-DPI"><b>-d</b> <i>DPI</i>, <b>--export-dpi</b>=<i>DPI</i></dt>
<dd>

<p>Beállítja a felbontást PNG exportálás esetén. Továbbá PS, EPS és PDF exportálása esetén a szűrőkkel rendelkező objektumokról e felbontással készül tartalék bitképmásolat (hacsak ez nincs elnyomva az <a>--export-ignore-filters</a> kapcsolóval). Az alapértelmezés 96 DPI, ami megfelel 1 SVG felhasználói egység (px, ún. „felhasználói egység”) 1 bitkép px-be való exportálásának. Az <a>--export-use-hints</a> kapcsolóval együtt alkalmazva felülírja az előzetesen tárolt DPI célt.</p>

</dd>
<dt id="w-SZ-LESS-G---export-width-SZ-LESS-G"><b>-w</b> <i>SZÉLESSÉG</i>, <b>--export-width</b>=<i>SZÉLESSÉG</i></dt>
<dd>

<p>Meghatározza a létrehozott bitkép szélességét. Felülírja az <a>--export-dpi</a> kapcsoló által adott beállítást (vagy az <a>--export-use-hints</a> kapcsoló esetén az előzetesen tárolt DPI célt).</p>

</dd>
<dt id="h-MAGASS-G---export-height-MAGASS-G"><b>-h</b> <i>MAGASSÁG</i>, <b>--export-height</b>=<i>MAGASSÁG</i></dt>
<dd>

<p>Meghatározza a létrehozott bitkép magasságát. Felülírja az <a>--export-dpi</a> kapcsoló által adott beállítást (vagy az <a>--export-use-hints</a> kapcsoló esetén az előzetesen tárolt DPI célt).</p>

</dd>
<dt id="export-margin-MARG"><b>--export-margin</b>=<i>MARGÓ</i></dt>
<dd>

<p>Margót hoz létre az exportált terület köré és beállítja annak értékét. A margó értéke az lap mértékegysége szerint kerül értelmezésre SVG esetén vagy milliméterben PS, PDF esetén. A kapcsolónak jelenleg más formátumokra nincs hatása.</p>

</dd>
<dt id="i-ID---export-page-all-n-a-b"><b>-i</b> <i>ID</i>, <b>--export-page</b>=<i>all|n[,a-b]*</i></dt>
<dd>

<p>Exports the selected pages only. If more than one page is specified then the resulting document may contain multiple pages if the format supports it.</p>

<p>Value can be a comma separated list of page numbers, or page ranges of two numbers separated by a dash. The keyword &#39;all&#39; can be used to indicate all pages would be exported.</p>

</dd>
<dt id="i-ID---export-id-OBJEKTUMAZONOS-T-OBJEKTUMAZONOS-T"><b>-i</b> <i>ID</i>, <b>--export-id</b>=<i>OBJEKTUMAZONOSÍTÓ[;OBJEKTUMAZONOSÍTÓ]*</i></dt>
<dd>

<p>PNG, PS, EPS, PDF és egyszerű SVG exportálása esetén meghatározza annak az objektumnak (ill. objektumoknak) az azonosítóját („id” attribútumát), amely exportálásra kerül úgy, hogy egyetlen más objektum sem exportálódik. Alapértelmezetten az exportált terület az objektumot határoló téglalap, de ez felülírható az <a>--export-area</a> (csak PNG) vagy az <a>--export-area-page</a> kapcsolókkal.</p>

<p>Ha több pontosvesszővel elválasztott érték van megadva, akkor mindegyik külön exportálódik. Ebben az esetben az exportált fájlok nevi így jönnek létre:[bemeneti_fájlnév]_[objektumazonosító].[fájltípus]</p>

</dd>
<dt id="j---export-id-only"><b>-j</b>, <b>--export-id-only</b></dt>
<dd>

<p>PNG, PS, EPS, PDF és egyszerű SVG exportálása esetén beállítja, hogy csak az az objektum legyen exportálva, amelynek az azonosítója meg van adva az <a>--export-id</a> kapcsolóval. Minden más egyéb objektum rejtve marad az exportált állományban még akkor is, ha egyébként fedné ezt az objektumot. Az <a>--export-id</a> nélkül ez a kapcsoló mellőzve lesz.</p>

</dd>
<dt id="l---export-plain-svg"><b>-l</b>, <b>--export-plain-svg</b></dt>
<dd>

<p>Beállítja, hogy az exportált állomány egyszerű SVG legyen, sodipodi: és inkscape: névterek, valamint RDF metaadatok nélkül. Az <a>--export-filename</a> kapcsolóval lehet megadni a fájl kívánt nevét.</p>

</dd>
<dt id="export-png-color-mode-SZ-NM-D"><b>--export-png-color-mode</b>=<i>SZÍNMÓD</i></dt>
<dd>

<p>Set the color mode (bit depth and color type) for exported bitmaps (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)</p>

</dd>
<dt id="export-png-compression-LEVEL"><b>--export-png-compression</b>=<i>LEVEL</i></dt>
<dd>

<p>Set the compression level for PNG export (0 to 9); default is 6.</p>

</dd>
<dt id="export-png-antialias-LEVEL"><b>--export-png-antialias</b>=<i>LEVEL</i></dt>
<dd>

<p>Set the antialiasing level for PNG export (0 to 3); default is 2.</p>

</dd>
<dt id="export-png-use-dithering-false-true"><b>--export-png-use-dithering</b>=<i>false|true</i></dt>
<dd>

<p>Kikényszeríti a zajmodulációt vagy letiltja azt (az Inkscape buildnek támogatni kell a zajmodulációt ehhez)</p>

</dd>
<dt id="export-ps-level-SZINT"><b>--export-ps-level</b>=<i>SZINT</i></dt>
<dd>

<p>PS és EPS exportálás esetén beállítja a PostScript nyelv verzióját. A 2-es vagy a 3-as támogatott, a 3-as az alapértelmezett.</p>

</dd>
<dt id="export-pdf-version-VERZI"><b>--export-pdf-version</b>=<i>VERZIÓ</i></dt>
<dd>

<p>Kijelöli az exportált PDF verzióját. Ez a kapcsoló megegyezik a felhasználói felületen a PDF exportálási párbeszédablakon megjelenő PDF-verzió választási lehetőséggel. Az egyik ott, a legördülő menüben megjelenő lehetőséget kell megadni a kapcsolónak, pl. „1.4”. Az alapértelmezett az „1.4”</p>

</dd>
<dt id="T---export-text-to-path"><b>-T</b>, <b>--export-text-to-path</b></dt>
<dd>

<p>Beállítja, hogy a szövegobjektumok útvonallá legyenek konvertálva az exportálás folyamán, már ahol ez alkalmazható: PS, EPS, PDF és SVG exportálás esetén.</p>

</dd>
<dt id="export-latex"><b>--export-latex</b></dt>
<dd>

<p>PS, EPS és PDF exportálása esetén: LaTeX dokumentumok számára állít elő képeket úgy, hogy átadja a LaTeX számára a képekben szereplő szövegek szedését. PDF, PS vagy EPS exportálása esetén a kapcsoló kettéválasztja a kimenetet egy PDF/PS/EPS (ahogy az --export-type meghatározza), valamint egy LaTeX fájllá. A szövegek nem lesznek részei a PDF/PS/EPS fájloknak, hanem a LaTeX fájlban tűnnek fel. E LaTeX fájl tartalmazza a PDF/PS/EPS képet is. A LaTeX fájl betöltése (\input{image.tex}) a LaTeX dokumentumba meg fogja jeleníteni a képet úgy, hogy a szöveget a LaTeX szedi. További információk a létrejött LaTeX fájlban találhatóak. Továbbá a GNUPlot „epslatex” kimenti terminálját érdemes még megtekinteni.</p>

</dd>
<dt id="export-ignore-filters"><b>--export-ignore-filters</b></dt>
<dd>

<p>Bekapcsolva a szűrőkkel (pl. az elmosással) rendelkező objektumok vektorként lesznek exportálva, figyelmen kívül hagyva a szűrőket (PS, EPS, PDF exportálása esetén). Alapértelmezés szerint minden szűrővel rendelkező objektum helyettesítő bitképpel kerül exportálásra az <a>--export-dpi</a> kapcsolóban meghatározott felbontással (alapértelmezetten 96 DPI-vel), hogy a megjelenés megőrződjön.</p>

</dd>
<dt id="t---export-use-hints"><b>-t</b>, <b>--export-use-hints</b></dt>
<dd>

<p>PNG exportálása esetén beállítja, hogy az exportált fájlnév és a DPI magában az exportált objektumban (<a>--export-id</a>) tárolt célértékek szerint jöjjön létre. Ezek az exportálási tippek automatikusan jönnek létre kijelölések exportálása közben. Például: Ha egy „path231” azonosítóval rendelkező alakzatot exportál 300 DPI-vel a „/home/jómagam/alakzat.png” útvonalra a „dokumentum.svg”-ből az Inkscape grafikus felhasználói felültén és ezt a dokumentumot el is menti, úgy később ezt az alakzatot ugyanazzal a fájlnévvel, ugyanazzal a felbontással tudja újra exportálni:</p>

<pre><code>    inkscape -i path231 -t dokumentum.svg</code></pre>

<p>Az <a>--export-dpi</a>, <a>--export-width</a>, vagy az <a>--export-height</a> kapcsolókkal a DPI tipp felülíródik és a parancssorban megadott érték lesz alkalmazva. Az <a>--export-filename</a> kapcsolóval úgyszintén a tippben eltárolt fájlnév felülíródik és a parancssorban megadott érték lesz alkalmazva.</p>

</dd>
<dt id="b-SZ-N---export-background-SZ-N"><b>-b</b> <i>SZÍN</i>, <b>--export-background</b>=<i>SZÍN</i></dt>
<dd>

<p>Beállítja az exportált PNG háttérszínét. Ez bármilyen az SVG által támogatott színleíró karaktersorozat lehet, mint pl. a „#ff007f” vagy az „rgb(255, 0, 128)”. Ha ez nincs megadva, akkor a Dokumentumbeállítások párbeszédablakban megadott lapszín (a „sodipodi:namedview” névtér „pagecolor” attribútuma) lesz alkalmazva.</p>

</dd>
<dt id="y-RT-K---export-background-opacity-RT-K"><b>-y</b> <i>ÉRTÉK</i>, <b>--export-background-opacity</b>=<i>ÉRTÉK</i></dt>
<dd>

<p>Átlátszatlanságot állít be háttérszínhez PNG exportálás esetén. Ez az érték lehet 0.0 és 1.0 között (a 0.0 a teljes átlátszóság, az 1.0 a teljes átlátszatlanság), valamint 1 és 255 között (255 jelöli a teljes átlátszatlanságot). Ha nincs beállítva és a -b kapcsoló sem, akkor a Dokumentumbeállítások párbeszédablakban megadott lapátlátszatlanság (a „sodipodi:namedview” névtér „inkscape:pageopacity” attribútuma) lesz alkalmazva. Ha nincs beállítva, de a -b kapcsoló be van kapcsolva, akkor 255 (teljes átlátszatlanság) értékkel lesz alkalmazva.</p>

</dd>
<dt id="I---query-id-OBJEKTUMAZONOS-T-OBJEKTUMAZONOS-T"><b>-I</b>, <b>--query-id</b>=<i>OBJEKTUMAZONOSÍTÓ[,OBJEKTUMAZONOSÍTÓ]*</i></dt>
<dd>

<p>Egy vesszővel elválasztott listával meghatározza azon egy vagy több objektum azonosítóját, melyek méretei lekérdezendőek. Ha nincs beállítva, akkor a lekérdezés a rajz (értsd: a dokumentum összes objektumának) méretét adja vissza, nem a lap vagy a viewbox méretét.</p>

<p>Ha egy vesszővel elválasztott listában több érték van megadva, akkor minden mértani lekérdezés (pl. <a>--query-x</a>) egy vesszővel elválasztott listát ad vissza, ahol az értékek a <i>--query-id</i> kapcsolóban megadott objektumoknak felelnek meg.</p>

</dd>
<dt id="S---query-all"><b>-S</b>, <b>--query-all</b></dt>
<dd>

<p>Kiír egy vesszővel határolt listát az SVG-dokumentum összes azonosítóval rendelkező objektumának x, y koordinátáival, valamint szélesség és magasság értékeivel.</p>

</dd>
<dt id="X---query-x"><b>-X</b>, <b>--query-x</b></dt>
<dd>

<p>Lekérdezi az X koordinátáját a rajznak vagy, ha a <a>--query-id</a> kapcsolóval meg van adva, egy objektumnak. A visszaadott érték px-ben (SVG felhasználói egységben) értendő.</p>

</dd>
<dt id="Y---query-y"><b>-Y</b>, <b>--query-y</b></dt>
<dd>

<p>Lekérdezi az Y koordinátáját a rajznak vagy, ha a <a>--query-id</a> kapcsolóval meg van adva, egy objektumnak. A visszaadott érték px-ben (SVG felhasználói egységben) értendő.</p>

</dd>
<dt id="W---query-width"><b>-W</b>, <b>--query-width</b></dt>
<dd>

<p>Lekérdezi a szélességét a rajznak vagy, ha a <a>--query-id</a> kapcsolóval meg van adva, egy objektumnak. A visszaadott érték px-ben (SVG felhasználói egységben) értendő.</p>

</dd>
<dt id="H---query-height"><b>-H</b>, <b>--query-height</b></dt>
<dd>

<p>Lekérdezi a magasságát a rajznak vagy, ha a <a>--query-id</a> kapcsolóval meg van adva, egy objektumnak. A visszaadott érték px-ben (SVG felhasználói egységben) értendő.</p>

</dd>
<dt id="vacuum-defs"><b>--vacuum-defs</b></dt>
<dd>

<p>Eltávolítja az összes <code>&lt;defs&gt;</code> részt az SVG fájlból. Ha az <a>--export-plain-svg</a> kapcsolóval együtt kerül meghívásra, akkor csak az exportált fájlt fogja ez érinteni. Csak önmagában alkalmazva a megadott fájlt fogja módosítani a saját helyén.</p>

</dd>
<dt id="select-OBJEKTUMAZONOS-T-OBJEKTUMAZONOS-T"><b>--select</b>=<i>OBJEKTUMAZONOSÍTÓ[,OBJEKTUMAZONOSÍTÓ]*</i></dt>
<dd>

<p>A <a>--select</a> kapcsoló kijelöli a megadott azonosítójú objektumot a funkciók számára, hogy azok különféle tevékenységeket végezzenek rajtuk. Akár több objektum is megadható egy vesszővel elválasztott listában. A kijelölésből való eltávolításra a <code>--verb=EditDeselect</code> kapcsoló használható. Az elérhető objektumazonosítók a betöltendő dokumentumtól függenek.</p>

</dd>
<dt id="actions-M-VELET-:ARGUMENTUM-M-VELET-:ARGUMENTUM"><b>--actions</b>=<i>MŰVELET(:ARGUMENTUM)[;MŰVELET(:ARGUMENTUM)]*</i></dt>
<dd>

<p>A műveletek egy új módszert biztosítanak a funkciók egy opcionális egyedi paraméterrel való meghívására. Az elérhető műveletazonosítók listáját az <a>--action-list</a> kapcsolóval lehet lekérdezni. Egyszer majd minden funkció műveletre lesz cserélve, de addig is ideiglenesen minden funkció műveletként is meghívható, de jelenleg paraméter nélkül. Érdemes figyelembe venni, hogy a legtöbb funkció grafikus felületet igényel (még akkor is ha voltaképpen nem használja). A grafikus felhasználói felület műveletsor végi automatikus lezárására a <a>--batch-process</a> kapcsoló használatos. Továbbá minden exportálásra szolgáló kapcsolónak is van műveleti megfelelője: a kapcsoló elejéről le kell vágni a „--” karaktereket és az egyenlőségjelet („=”) kettőspontra („:”) kell cserélni.</p>

<p>Ha csak műveletek szerepelnek, akkor kötelező használni a <a>--batch-process</a> kapcsolót.</p>

<p>Az exportálás a műveletsorban bármikor kikényszeríthető az export-do művelettel. Ez többszörös exportálást tesz lehetővé egyetlen fájlon.</p>

</dd>
<dt id="action-list"><b>--action-list</b></dt>
<dd>

<p>Felsorol minden elérhető műveletet.</p>

</dd>
<dt id="actions-fileB-F-JLN-V">&lt;--actions-file&gt;B=<i>FÁJLNÉV</i></dt>
<dd>

<p>Végrehajtja a fájlban felsorolt összes műveletet. A fájl tartalmát az <a>--actions</a> szintaxis szerint kell formázni. Ez az opció felülírja az <a>--actions</a> argumentumot, ha mindkettő meg van adva.</p>

</dd>
<dt id="g---with-gui"><b>-g</b>, <b>--with-gui</b></dt>
<dd>

<p>Megkísérli a grafikus felhasználói felület alkalmazását (Unix rendszereken az X szervert használja, ha a $DISPLAY nincs beállítva).</p>

</dd>
<dt id="q---active-window"><b>-q</b>, <b>--active-window</b></dt>
<dd>

<p>Egy új Inkscape-folyamat indítása helyett ez a parancs a legutóbb fókuszált Inkscape-dokumentumban fogja futtatni a parancsot.</p>

</dd>
<dt id="display-KIJELZ"><b>--display</b>=<i>KIJELZŐ</i></dt>
<dd>

<p>Beállítja az Inkscape ablak X-kijelzőjét.</p>

</dd>
<dt id="app-id-tag-C-MKE"><b>--app-id-tag</b>=<i>CÍMKE</i></dt>
<dd>

<p>Létrehoz egy egyedi példányt az Inkscape-ből az &#39;org.inkscape.Inkscape.CÍMKE&#39; alkalmazásazonosítóval. Ez hasznos az Inkscape-példányok elkülönítéséhez, ha egyidejűleg különböző Inkscape-verziókat futtatunk vagy különböző beállításfájlokat használunk.</p>

</dd>
<dt id="batch-process"><b>--batch-process</b></dt>
<dd>

<p>Bezárja a grafikus felhasználói felületet a művelet- vagy funkciósor végén.</p>

</dd>
<dt id="shell"><b>--shell</b></dt>
<dd>

<p>Ezzel a kapcsolóval az Inkscape egy interaktív parancsértelmező módba helyezi magát. Ebben a módban a parancssorba utasítást lehet gépelni, amit az Inkscape végrehajt anélkül, hogy minden egye utasítás után új példányt kellene indítani a programból. Ez a szolgáltatás főleg szkriptelésre és szerver üzemmódban való használatra való: nem ad új képességeket, de jelentősen gyorsítja a végrehajtást és csökkenti a memóriaszükségletet minden olyan parancsfájlnál, amely ismétlődően hívja meg az Inkscape-et, hogy parancssori feladatokat hajtson végre (mint például az exportálás vagy a konvertálás).</p>

<p>Parancsértelmező módban az Inkscape egy művelet (vagy funkció) sorozatot vár bemenetül. Soronként kerül értelmezésre, tipikusan az Enter leütésekor. Lehetséges (de nem szükséges) minden műveletet akár egy sorban is megadni.</p>

<p>Ez az opció kombinálható az <a>--active-window</a> paraméterrel, hogy a shell parancsokat egy már megnyitott Inkscape dokumentumban hajtsa végre.</p>

<p>A következő példa megnyit egy fájlt és két különböző formátumba exportálja, majd megnyit egy másik fájlt és abból egyetlen objektumot exportál:</p>

<pre><code>    file-open:fájl1.svg; export-type:pdf; export-do; export-type:png; export-do
    file-open:fájl2.svg; export-id:rect2; export-id-only; export-filename:csak_a_négyzet.svg; export-do</code></pre>

</dd>
</dl>

<h1 id="BE-LL-T-S">BEÁLLÍTÁS</h1>

<p>A fő konfigurációs fájl helye: ~/.config/inkscape/preferences.xml. Sokfajta testreszabási beállítást tárol, melyet jellemzően az Inkscape Beállítások párbeszédablakában lehet módosítani. Ugyanitt, az almappákba saját beállításokat helyezhet el a következőképpen:</p>

<p><b>$HOME</b>/.config/inkscape/extensions/ – kiterjesztések.</p>

<p><b>$HOME</b>/.config/inkscape/fonts/ – betűkészletek.</p>

<p><b>$HOME</b>/.config/inkscape/icons/ – ikoncsomagok.</p>

<p><b>$HOME</b>/.config/inkscape/keys/ – gyorsbillentyűkiosztások.</p>

<p><b>$HOME</b>/.config/inkscape/paint/ – minták és vonalkák</p>

<p><b>$HOME</b>/.config/inkscape/palettes/ – paletták.</p>

<p><b>$HOME</b>/.config/inkscape/symbols/ – szimbólumfájlok.</p>

<p><b>$HOME</b>/.config/inkscape/templates/ – sablonok az új fájlok számára.</p>

<p><b>$HOME</b>/.config/inkscape/ui/ – felhasználói felület fájlok.</p>

<h1 id="DIAGNOSZTIKA">DIAGNOSZTIKA</h1>

<p>A program nullát ad vissza sikeres végrehajtás esetén, hiba esetén pedig nem nullát.</p>

<p>Különféle hiba- és figyelmeztető üzenetek kerülhetnek az STDERR vagy az STDOUT kimenetre. Ha a program hibásan viselkedik egy adott SVG fájllal, vagy összeomlik, akkor érdemes a nyomok után ezen a kimeneten kutatni.</p>

<h1 id="P-LD-K">PÉLDÁK</h1>

<p>Noha az <b>Inkscape</b> elsődlegesen egy grafikus szerkesztőprogram, parancssorral is lehetséges vele SVG-fájlokat feldolgozni.</p>

<p>Megnyit egy SVG-fájlt a grafikus felhasználói felületen:</p>

<pre><code>    inkscape fájlnév.svg</code></pre>

<p>PNG-be exportál egy SVG-fájlt az alapértelmezett 96 DPI-vel (egy SVG felhasználói egység 1 bitkép pixellé alakítva):</p>

<pre><code>    inkscape --export-filename=fájlnév.png fájlnév.svg</code></pre>

<p>Mint az előző, csak a PNG mérete 600×400 pixelre van kényszerítve:</p>

<pre><code>    inkscape --export-filename=fájlnév.png -w 600 -h 400 fájlnév.svg</code></pre>

<p>Hasonló, de a rajz (az összes objektumot határoló téglalap) kerül exportálásra, nem a lap:</p>

<pre><code>    inkscape --export-filename=fájlnév.png --export-area-drawing fájlnév.svg</code></pre>

<p>Két különböző fájlt exportál egyenként négy formátumba:</p>

<pre><code>    inkscape --export-type=png,ps,eps,pdf fájlnév1.svg fájlnév2.svg</code></pre>

<p>A „text1555” azonosítóval rendelkező objektumot exportálja PNG-be úgy, hogy a létrejövő fájlnév és felbontás az legyen, amit utoljára a grafikus felhasználói felületen való exportálásakor volt megadva:</p>

<pre><code>    inkscape --export-id=text1555 --export-use-hints fájlnév.svg</code></pre>

<p>Ugyanaz, de az alapértelmezett 96 DPI-vel, a fájlnév megadásával és az exportált terület kifelé igazításával a legközelebbi SVG felhasználói egységhez (az objektumok pixelre igazításának megőrzése és ezáltal az élsimítás elkerülése érdekében):</p>

<pre><code>    inkscape --export-id=text1555 --export-filename=szöveg.png --export-area-snap fájlnév.svg</code></pre>

<p>Átalakít egy Inkscape SVG dokumentumot egyszerű SVG-vé:</p>

<pre><code>    inkscape --export-plain-svg --export-filename=fájlnév2.svg fájlnév1.svg</code></pre>

<p>Átalakít egy SVG dokumentumot EPS-sé az összes szöveg útvonallá konvertálása mellett:</p>

<pre><code>    inkscape --export-filename=filename.eps --export-text-to-path fájlnév.svg</code></pre>

<p>Lekérdezi a „text1555” azonosítójú objektum szélességét:</p>

<pre><code>    inkscape --query-width --query-id=text1555 fájlnév.svg</code></pre>

<p>Megkettőzi a „path1555” és a „rect835” azonosítójú objektumokat, majd elforgatja azokat 90°-kal, elmenti SVG-be és kilép.</p>

<pre><code>    inkscape --select=path1555,rect835 --actions=&quot;duplicate;object-rotate-90-cw&quot; --export-overwrite fájlnév.svg</code></pre>

<p>Kijelöl minden ellipszis elemet, elforgatja azokat 30°-kal, elmenti a fájlt és kilép.</p>

<pre><code>    inkscape --actions=&quot;select-by-element:ellipse;transform-rotate:30&quot; --export-overwrite fájlnév.svg</code></pre>

<p>A „MyTriangle” azonosítójú objektumot exportálja először egy félig áttetsző lila háttérrel a lila_háromszög.png-be, majd vörös háttérrel a vörös_háromszög.png-be.</p>

<pre><code>    inkscape --actions=&quot;export-id:MyTriangle; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:lila_háromszög.png; export-do; export-background:red; export-background-opacity:1; export-filename:vörös_háromszög.png; export-do&quot; fájlnév.svg</code></pre>

<p>Beolvassa az SVG-t a szabványos bemenetről (stdin) és PDF-be exportálja:</p>

<pre><code>    cat fájlnév.svg | inkscape --pipe --export-filename=fájlnév.pdf</code></pre>

<p>Exportál egy SVG-t PNG-be és a szabványos kimenetre (stdout) írja, ahonnan az ImageMagick convert programja átalakítja JPG-be:</p>

<pre><code>    inkscape --export-type=png --export-filename=- fájlnév.svg | convert - fájlnév.jpg</code></pre>

<p>Ugyanaz, mint az előbb, csak most maga is az adatcsatornából olvas (ilyenkor az --export-filename kapcsoló elhagyható)</p>

<pre><code>    cat fájlnév.svg | inkscape --pipe --export-type=png | convert - fájlnév.jpg</code></pre>

<h1 id="K-RNYEZETI-V-LTOZ-K">KÖRNYEZETI VÁLTOZÓK</h1>

<dl>

<dt id="INKSCAPE_PROFILE_DIR"><b>INKSCAPE_PROFILE_DIR</b></dt>
<dd>

<p>Egyéni helyet állít be a felhasználói profil mappának.</p>

</dd>
<dt id="INKSCAPE_DATADIR"><b>INKSCAPE_DATADIR</b></dt>
<dd>

<p>Egyéni helyet állít be az Inkscape adatmappának (pl. <b>$PREFIX</b>/share ha az Inkscape megosztott állományainak helye a <b>$PREFIX</b>/share/inkscape).</p>

</dd>
<dt id="INKSCAPE_LOCALEDIR"><b>INKSCAPE_LOCALEDIR</b></dt>
<dd>

<p>Egyéni helyet állít be a fordítási katalógusfájloknak.</p>

</dd>
</dl>

<p>További információk: <a href="http://wiki.inkscape.org/wiki/index.php/Environment_variables">http://wiki.inkscape.org/wiki/index.php/Environment_variables</a></p>

<h1 id="TOV-BBI-INFORM-CI-K">TOVÁBBI INFORMÁCIÓK</h1>

<p>Hiteles információk az <b>Inkscape</b>-ről a <a href="https://www.inkscape.org/">https://www.inkscape.org/</a> webhelyen érhetőek el: hírek, dokumentáció, ismertetők, példák, levelező listák archívuma, a legfrissebb kiadás a programból, hibák és funkciókérések, fórum és sok más.</p>

<h1 id="L-SD-M-G">LÁSD MÉG</h1>

<p><a>potrace</a>, <a>cairo</a>, <a>rsvg</a>, <a>batik</a>, <a>ghostscript</a>, <a>pstoedit</a>.</p>

<p>SVG megfelelőségi tesztcsomag: <a href="https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview">https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview</a></p>

<p>SVG ellenőrző: <a href="https://validator.w3.org/">https://validator.w3.org/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.1 Specification</i> <i>W3C Recommendation 16 August 2011</i> <a href="https://www.w3.org/TR/SVG11/">https://www.w3.org/TR/SVG11/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.2 Specification</i> <i>W3C Working Draft 13 April 2005</i> <a href="https://www.w3.org/TR/SVG12/">https://www.w3.org/TR/SVG12/</a></p>

<p><i>Scalable Vector Graphics (SVG) 2 Specification</i> <i>W3C Candidate Recommendation 15 September 2016</i> <a href="https://www.w3.org/TR/SVG2/">https://www.w3.org/TR/SVG2/</a></p>

<p><i>Document Object Model (DOM): Level 2 Core</i> <i>W3C Recommendation 13 November 2000</i> <a href="https://www.w3.org/TR/DOM-Level-2-Core/">https://www.w3.org/TR/DOM-Level-2-Core/</a></p>

<h1 id="FELHASZN-L-I-FEL-LET">FELHASZNÁLÓI FELÜLET</h1>

<p>Az Inkscpae felhasználói felületének tanulásához olvass el kézikönyvet a Súgó → Inkscape-kézikönyv menüpontban vagy az ismertetőket a Súgó → Ismertetők pontban.</p>

<p>Az SVG mellett az Inkscape képes a legtöbb bitkép formátumot (PNG, BMP, JPG, XPM, GIF, stb.) is importálni (Fájl → Importálás), valamint egyszerű szöveget (Perl szükséges hozzá), továbbá PS-t és EPS-t (Ghostscript szükséges hozzá), PDF-t és AI formátumot (AI 9.0 vagy frissebb változattól).</p>

<p>Az Inkscape 32 bites PNG képet exportál (Fájl → PNG-kép exportálása), valamint AI, PS, EPS, PDF, DXF és más egyéb formátumokat a Fájl → Mentés másként menüpontban.</p>

<p>Az Inkscape képes alkalmazni a grafikus tábla tollának nyomását és dőlésszögét több eszköz szélességének, szögének és erejének meghatározására, többek között a művészi tollét.</p>

<p>Az Inkscape rendelkezik egy grafikus felhasználói felülettel a Potrace <a href="http://potrace.sf.net">http://potrace.sf.net</a>) bitkép-vektorizáló alrendszerhez, amely be van építve az Inkscape-be.</p>

<p>Az Inkscape képes külső (stdin-ről stdout-ra szűrő) parancsfájlok futtatására, melyek a Kiterjesztések menüpont parancsaiként vannak beépítve. A szkriptnek lehetne grafikus felhasználói párbeszédablaka, hogy különféle paramétereket lehessen beállítani, vagy a kijelölt objektumok azonosítóját be lehessen állítani, amin dolgozni fog a parancssoron. Az Inkcape gyárilag válogatott, Pythonban készült szűrőkkel érkezik.</p>

<h1 id="GYORSBILLENTY-K">GYORSBILLENTYŰK</h1>

<p>A teljes gyorsbillentyű és egérművelet listát a doc/keys.html-ben lehet megtalálni, vagy a Súgó → Billentyű- és egérkombinációk leírása menüpontban.</p>

<h1 id="HIB-K">HIBÁK</h1>

<p>Sok hiba már ismert. A már bejelentettek a weboldalon (<a href="https://www.inkscape.org/">https://www.inkscape.org/</a>) tekinthetőek át, ill. az újonnan felfedezettek is itt küldhetőek be. Az ismert hibák fejezetet is érdemes áttanulmányozni az verzióhoz kapcsolódó kiadási jegyzékben (a „NEWS” fájlt).</p>

<h1 id="T-RT-NET">TÖRTÉNET</h1>

<p>A kódbázis, ami később az Inkscape-pé vált 1999-ben kezdte meg a maga életét a Gill programként, a GNOME Illustrator alkalmazásaként, melyet Raph Levien készített. A Gill-el az volt a szándék, hogy egyszer majd az SVG-t teljes egészét támogassa. Raph implementálta a PostScript Bézier képalkotó modellt, beleértve a körvonalasítást, a kitöltést, a vonalvégeket, a vonalkapcsolásokat, szövegeket, stb. Raph&#39;s Gill oldala: <a href="http://www.levien.com/svg/">http://www.levien.com/svg/</a>. A Gill fejlesztése 2000 körül lelassult, ill. leállt.</p>

<p>A kódbázis következő megtestesülése a rendkívül népszerű Sodipodi program volt, melynek vezető fejlesztője Lauris Kaplinski. A kódbázis sokéves munkának köszönhetően egy sokoldalú illusztráló programmá vált számos új funkcióval, a többnyelvűség támogatásával, Windows és más operációs rendszerre való portolással és a meglévő függőségek kiküszöbölésével.</p>

<p>Az Inkscape-et 2003-ban négy aktív Sodipodi fejlesztő, Bryce Harrington, MenTaLguY, Nathan Hurst és Ted Gould alapította azzal a szándékkal, hogy más irányt vegyen a fejlesztés elsősorban az SVG megfelelőséget illetően, a felhasználói felület kinézete érdekében és hogy a fejlesztésbe többen kapcsolódhassanak be. A projekt gyorsan haladt előre és együtt növekedett az aktív hozzájárulók száma a funkciókkal együtt.</p>

<p>A projekt első napjaiban a munka a kód stabilizálására és nemzetköziesítésére fókuszált. Az eredeti, Sodipoditól örökölt leképezőbe be volt fűzve néhány olyan matematikai sarokeset, amely váratlan összeomlásokhoz vezetett, amikor a programot rutinszerűen kezdték el használni, ezért a leképezőt lecserélték a Livarot-ra, ami ugyan nem volt tökéletes, de lényegesen kevésbé volt hajlamos a hibákra. A projekt áttért a kódok gyakori beküldésére és elkezdte bátorítani a felhasználókat, hogy használják a fejlesztői pillanatképeket. Ez elősegítette a hibák gyors feltárását és biztosította, hogy a felhasználók egyszerűen ellenőrizhessék a javításokat. Ennek eredményeképpen az Inkscape kiadások általában jó hírnevet szereztek robusztus és megbízható voltuk miatt.</p>

<p>Hasonló erőfeszítések történtek a felület nemzetköziesítése és lokalizációja érdekében, ami nagyban segített abban, hogy a program hozzájárulókat találjon világszerte.</p>

<p>Az Inkscape jótékony hatást tett a nyílt forráskód vizuális vonzerejére általában, mivel olyan eszközt biztosított, amivel ikonokat, kezdőképeket, webes rajzokat és hasonlóakat lehetett készíteni és megosztani. Annak ellenére, hogy „csak egy rajzprogram” az Inkscape fontos szerepet játszott a nyílt forráskód láthatóvá tételében a nagyközönség számára</p>

<h1 id="SZERZ-K">SZERZŐK</h1>

<p>Ez a kódbázis számos közreműködőnek köszönheti a létezését több különböző megtestesülése során. A következő lista minden bizonnyal hiányos, de szeretné elősegíteni mindazok felismerését, akik a vállukra vették az évek folyamán:</p>

<p>Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Adam Belis, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao, </p>

<h1 id="SZERZ-I-JOGOK-S-LICENC">SZERZŐI JOGOK ÉS LICENC</h1>

<p><b>Copyright (C)</b> 1999–2023 a szerzők.</p>

<p>Az <b>Inkscape</b> szabad szoftver és GPL 2-as verziója szerint lehet terjeszteni, ill. módosítani.</p>


</body>

</html>


